--- old/usr/src/man/man1/alias.1	Tue Feb  9 20:40:38 2021
+++ new/usr/src/man/man1/alias.1	Tue Feb  9 20:40:38 2021
@@ -44,13 +44,13 @@
 .\" Portions Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Portions Copyright (c) 1982-2007 AT&T Knowledge Ventures
 .\" Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved.
+.\" Copyright 2021 OmniOS Community Edition (OmniOSce) Association.
 .\"
-.TH ALIAS 1 "Apr 8, 2008"
+.TH ALIAS 1 "Feb 9, 2021"
 .SH NAME
 alias, unalias \- create or remove a pseudonym or shorthand for a command or
 series of commands
 .SH SYNOPSIS
-.LP
 .nf
 \fB/usr/bin/alias\fR [\fIalias-name\fR[= \fIstring\fR...]]
 .fi
@@ -66,7 +66,6 @@
 .fi
 
 .SS "\fBcsh\fR"
-.LP
 .nf
 \fBalias\fR [\fIname\fR [\fIdef\fR]]
 .fi
@@ -76,24 +75,7 @@
 \fBunalias\fR \fIpattern\fR
 .fi
 
-.SS "\fBksh\fR"
-.LP
-.nf
-\fBalias\fR [\fB-tx\fR] [\fIname\fR[= \fIvalue\fR]...]
-.fi
-
-.LP
-.nf
-\fBunalias\fR \fIname\fR...
-.fi
-
-.LP
-.nf
-\fBunalias\fR [\fB-a\fR]
-.fi
-
 .SS "\fBksh93\fR"
-.LP
 .nf
 \fBalias\fR [\fB-ptx\fR] [\fIname\fR[= \fIvalue\fR]...]
 .fi
@@ -104,14 +86,10 @@
 .fi
 
 .SH DESCRIPTION
-.sp
-.LP
 The \fBalias\fR and \fBunalias\fR utilities create or remove a pseudonym or
 shorthand term for a command or series of commands, with different
 functionality in the C-shell and Korn shell environments.
 .SS "\fB/usr/bin/alias\fR"
-.sp
-.LP
 The \fBalias\fR utility creates or redefines alias definitions or writes the
 values of existing alias definitions to standard output. An alias definition
 provides a string value that replaces a command name when it is encountered.
@@ -122,15 +100,11 @@
 specified by this document, the alias definition does not affect the parent
 process of the current shell nor any utility environment invoked by the shell.
 .SS "\fB/usr/bin/unalias\fR"
-.sp
-.LP
 The \fBunalias\fR utility removes the definition for each alias name specified.
 The aliases are removed from the current shell execution environment. The
 \fB-a\fR option removes all alias definitions from the current execution
 environment.
 .SS "\fBcsh\fR"
-.sp
-.LP
 \fBalias\fR assigns \fIdef\fR to the alias \fIname\fR. The assigned \fIdef\fR
 is a list of words that can contain escaped history-substitution metasyntax.
 \fIname\fR is not allowed to be \fBalias\fR or \fBunalias\fR. If \fIdef\fR is
@@ -144,29 +118,7 @@
 .LP
 \fBunalias\fR discards aliases that match (filename substitution)
 \fIpattern\fR. All aliases can be removed by `\fBunalias *\fR'.
-.SS "\fBksh\fR"
-.sp
-.LP
-\fBalias\fR with no arguments prints the list of aliases in the form
-\fIname=value\fR on standard output. An \fBalias\fR is defined for each name
-whose \fIvalue\fR is specified. A trailing space in \fIvalue\fR causes the next
-word to be checked for alias substitution. The \fB-t\fR flag is used to set and
-list tracked aliases. The value of a tracked alias is the full pathname
-corresponding to the specified \fIname\fR. The value becomes undefined when the
-value of \fBPATH\fR is reset but the aliases remained tracked. Without the
-\fB-t\fR flag, for each \fIname\fR in the argument list for which no
-\fIvalue\fR is specified, the name and value of the alias is printed. The
-\fB-x\fR flag is used to set or print \fIexported alias\fRes. An exported alias
-is defined for scripts invoked by \fIname\fR. The exit status is non-zero if a
-\fIname\fR is specified, but no value, and no alias has been defined for the
-\fIname\fR.
-.sp
-.LP
-The \fBalias\fRs specified by the list of \fIname\fRs can be removed from the
-\fBalias\fR list with \fBunalias\fR.
 .SS "\fBksh93\fR"
-.sp
-.LP
 \fBalias\fR creates or redefines alias definitions or writes the existing alias
 definitions to standard output.
 .sp
@@ -195,8 +147,6 @@
 execution environment, or all aliases if \fB-a\fR is specified. It does not
 affect any commands that have already been read and subsequently executed.
 .SH OPTIONS
-.sp
-.LP
 The following option is supported by \fBunalias\fR:
 .sp
 .ne 2
@@ -207,22 +157,7 @@
 Removes all alias definitions from the current shell execution environment.
 .RE
 
-.SS "\fBksh\fR"
-.sp
-.LP
-The following option is supported by \fBalias\fR:
-.sp
-.ne 2
-.na
-\fB\fB-t\fR\fR
-.ad
-.RS 6n
-Sets and lists tracked aliases.
-.RE
-
 .SS "\fBksh93\fR"
-.sp
-.LP
 The following options are supported by \fBalias\fR:
 .sp
 .ne 2
@@ -270,11 +205,8 @@
 .RE
 
 .SH OPERANDS
-.sp
-.LP
 The following operands are supported:
 .SS "\fBalias\fR"
-.sp
 .ne 2
 .na
 \fB\fIalias-name\fR\fR
@@ -284,7 +216,6 @@
 .RE
 
 .SS "\fBunalias\fR"
-.sp
 .ne 2
 .na
 \fB\fIalias-name\fR\fR
@@ -307,8 +238,6 @@
 If no operands are specified, all alias definitions are written to standard
 output.
 .SH OUTPUT
-.sp
-.LP
 The format for displaying aliases (when no operands or only \fIname\fR operands
 are specified) is:
 .sp
@@ -324,7 +253,6 @@
 The \fIvalue\fR string is written with appropriate quoting so that it is
 suitable for reinput to the shell.
 .SH EXAMPLES
-.LP
 \fBExample 1 \fRModifying a Command's Output
 .sp
 .LP
@@ -385,14 +313,10 @@
 .sp
 
 .SH ENVIRONMENT VARIABLES
-.sp
-.LP
 See \fBenviron\fR(5) for descriptions of the following environment variables
 that affect the execution of \fBalias\fR and \fBunalias\fR: \fBLANG\fR,
 \fBLC_ALL\fR, \fBLC_CTYPE\fR, \fBLC_MESSAGES\fR, and \fBNLSPATH\fR.
 .SH EXIT STATUS
-.sp
-.LP
 The following exit values are returned:
 .sp
 .ne 2
@@ -404,7 +328,6 @@
 .RE
 
 .SS "\fBalias\fR"
-.sp
 .ne 2
 .na
 \fB\fB>0\fR\fR
@@ -415,7 +338,6 @@
 .RE
 
 .SS "\fBunalias\fR"
-.sp
 .ne 2
 .na
 \fB\fB>0\fR\fR
@@ -426,13 +348,8 @@
 .RE
 
 .SH ATTRIBUTES
-.sp
-.LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
 .SS "\fBcsh, ksh\fR"
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -445,9 +362,6 @@
 .TE
 
 .SS "\fBksh93\fR"
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -458,7 +372,5 @@
 .TE
 
 .SH SEE ALSO
-.sp
-.LP
 \fBcsh\fR(1), \fBksh\fR(1), \fBksh93\fR(1), \fBshell_builtins\fR(1),
 \fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)