--- old/usr/src/man/man1/comm.1	Tue Feb  9 20:40:39 2021
+++ new/usr/src/man/man1/comm.1	Tue Feb  9 20:40:39 2021
@@ -43,182 +43,155 @@
 .\" Copyright 1989 AT&T
 .\" Portions Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Copyright (c) 2004, Sun Microsystems, Inc.  All Rights Reserved.
-.\"
-.TH COMM 1 "Mar 3, 2004"
-.SH NAME
-comm \- select or reject lines common to two files
-.SH SYNOPSIS
-.LP
-.nf
-\fBcomm\fR [\fB-123\fR] \fIfile1\fR \fIfile2\fR
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBcomm\fR utility reads \fIfile1\fR and \fIfile2\fR, which must be ordered
-in the current collating sequence, and produces three text columns as output:
-lines only in \fIfile1\fR; lines only in \fIfile2\fR; and lines in both files.
-.sp
-.LP
+.\" Copyright 2021 OmniOS Community Edition (OmniOSce) Association.
+.Dd Feb 9, 2021
+.Dt COMM 1
+.Os
+.Sh NAME
+.Nm comm
+.Nd select or reject lines common to two files
+.Sh SYNOPSIS
+.Nm
+.Op Fl 123
+.Ar file1 file2
+.Sh DESCRIPTION
+The
+.Nm
+utility reads
+.Ar file1
+and
+.Ar file2 ,
+which must be ordered in the current collating sequence, and produces three
+text columns as output:
+.Bl -bullet -offset Ds
+.It
+lines only in
+.Ar file1 ;
+.It
+lines only in
+.Ar file2 ;
+.It
+lines in both files.
+.El
+.Pp
 If the input files were ordered according to the collating sequence of the
 current locale, the lines written will be in the collating sequence of the
-original lines. If not, the results are unspecified.
-.SH OPTIONS
-.sp
-.LP
+original lines.
+If not, the results are unspecified.
+.Pp
+If either
+.Ar file1
+or
+.Ar file2
+is
+.Ar \(mi ,
+.Nm
+uses standard input starting at the current location.
+.Sh OPTIONS
 The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-1\fR\fR
-.ad
-.RS 6n
-Suppresses the output column of lines unique to \fIfile1\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-2\fR\fR
-.ad
-.RS 6n
-Suppresses the output column of lines unique to \fIfile2\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-3\fR\fR
-.ad
-.RS 6n
-Suppresses the output column of lines duplicated in \fIfile1\fR and
-\fIfile2\fR.
-.RE
-
-.SH OPERANDS
-.sp
-.LP
+.Bl -tag -width Ar
+.It Fl 1
+Suppresses the output column of lines unique to
+.Ar file1 .
+.It Fl 2
+Suppresses the output column of lines unique to
+.Ar file2 .
+.It Fl 3
+Suppresses the output column of lines common to both
+.Ar file1
+and
+.Ar file2 .
+.El
+.Sh OPERANDS
 The following operands are supported:
-.sp
-.ne 2
-.na
-\fB\fIfile1\fR\fR
-.ad
-.RS 9n
-A path name of the first file to be compared. If \fIfile1\fR is \fB\(mi\fR, the
-standard input is used.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIfile2\fR\fR
-.ad
-.RS 9n
-A path name of the second file to be compared. If \fIfile2\fR is \fB\(mi\fR,
+.Bl -tag -width Ar
+.It Ar file1
+A path name of the first file to be compared.
+If
+.Ar file1
+is
+.Em \(mi ,
 the standard input is used.
-.RE
-
-.SH USAGE
-.sp
-.LP
-See \fBlargefile\fR(5) for the description of the behavior of \fBcomm\fR when
-encountering files greater than or equal to 2 Gbyte ( 2^31 bytes).
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRPrinting a list of utilities specified by files
-.sp
-.LP
-If \fIfile1\fR, \fIfile2\fR, and \fIfile3\fR each contain a sorted list of
-utilities, the command
-
-.sp
-.in +2
-.nf
-example% \fBcomm -23 file1 file2  | comm -23 - file3\fR
-.fi
-.in -2
-.sp
-
-.sp
-.LP
-prints a list of utilities in \fIfile1\fR not specified by either of the other
-files. The entry:
-
-.sp
-.in +2
-.nf
-example% \fBcomm -12 file1 file2 | comm -12 - file3\fR
-.fi
-.in -2
-.sp
-
-.sp
-.LP
-prints a list of utilities specified by all three files. And the entry:
-
-.sp
-.in +2
-.nf
-example% \fBcomm -12  file2 file3 | comm -23 -file1\fR
-.fi
-.in -2
-.sp
-
-.sp
-.LP
-prints a list of utilities specified by both \fIfile2\fR and \fIfile3\fR, but
-not specified in \fIfile1\fR.
-
-.SH ENVIRONMENT VARIABLES
-.sp
-.LP
-See \fBenviron\fR(5) for descriptions of the following environment variables
-that affect the execution of \fBcomm\fR: \fBLANG\fR, \fBLC_ALL\fR,
-\fBLC_COLLATE\fR, \fBLC_CTYPE\fR, \fBLC_MESSAGES\fR, and \fBNLSPATH\fR.
-.SH EXIT STATUS
-.sp
-.LP
+.It Ar file2
+A path name of the second file to be compared.
+If
+.Ar file1
+is
+.Em \(mi ,
+the standard input is used.
+.El
+.Sh EXIT STATUS
 The following exit values are returned:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 6n
+.Bl -tag -width Ds
+.It Sy 0
 All input files were successfully output as specified.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB>0\fR\fR
-.ad
-.RS 6n
+.It Sy >0
 An error occurred.
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-CSI	enabled
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBcmp\fR(1), \fBdiff\fR(1), \fBsort\fR(1), \fBuniq\fR(1), \fBattributes\fR(5),
-\fBenviron\fR(5), \fBlargefile\fR(5), \fBstandards\fR(5)
+.El
+.Sh EXAMPLES
+.Bl -tag -width 6
+.It Sy Example 1 No Printing a list of utilities specified by files
+.Pp
+If
+.Ar file1 ,
+.Ar file2 ,
+and
+.Ar file3
+each contain a sorted list of utilities, the command
+.Bd -literal
+    $ comm -23 file1 file2  | comm -23 - file3
+.Ed
+.Pp
+prints a list of utilities in
+.Ar file1
+not specified by either of the other files.
+.Pp
+The command:
+.Bd -literal
+    $ comm -12 file1 file2 | comm -12 - file3
+.Ed
+.Pp
+prints a list of utilities specified by all three files; and the command:
+.Bd -literal
+    $ comm -12  file2 file3 | comm -23 -file1
+.Ed
+.Pp
+prints a list of utilities specified by both
+.Ar file2
+and
+.Ar file3 ,
+but not specified in
+.Ar file1 .
+.El
+.Sh ENVIRONMENT VARIABLES
+See
+.Xr environ 5
+for descriptions of the following environment variables
+that affect the execution of
+.Nm :
+.Ev LANG ,
+.Ev LC_ALL ,
+.Ev LC_COLLATE ,
+.Ev LC_CTYPE ,
+.Ev LC_MESSAGES ,
+.Ev LC_NUMERIC ,
+and
+.Ev NLSPATH .
+.Sh INTERFACE STABILITY
+The command line interface of
+.Nm
+is
+.Sy Committed .
+The output of
+.Nm
+is
+.Sy Committed .
+.Sh SEE ALSO
+.Xr cmp 1 ,
+.Xr diff 1 ,
+.Xr sort 1 ,
+.Xr uniq 1 ,
+.Xr attributes 5 ,
+.Xr environ 5 ,
+.Xr largefile 5 ,
+.Xr standards 5