--- old/usr/src/man/man1/tee.1	Tue Feb  9 20:40:41 2021
+++ new/usr/src/man/man1/tee.1	Tue Feb  9 20:40:41 2021
@@ -43,226 +43,108 @@
 .\" Copyright 1989 AT&T
 .\" Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Portions Copyright (c) 2007, Sun Microsystems, Inc. All Rights Reserved
+.\" Portions Copyright 2021 OmniOS Community Edition (OmniOSce) Association.
 .\"
-.TH TEE 1 "Nov 20, 2007"
-.SH NAME
-tee \- replicate the standard output
-.SH SYNOPSIS
-.SS "/usr/bin/tee"
-.LP
-.nf
-\fB/usr/bin/tee\fR [\fB-ai\fR] [\fIfile\fR]...
-.fi
-
-.SS "ksh93"
-.LP
-.nf
-\fBtee\fR [\fB-ail\fR] [\fIfile\fR]...
-.fi
-
-.SH DESCRIPTION
-.SS "/usr/bin/tee"
-.sp
-.LP
-\fB/usr/bin/tee\fR copies standard input to standard output, making a copy in
-zero or more files. \fBtee\fR does not buffer its output. The options determine
-if the specified files are overwritten or appended to.
-.SS "ksh93"
-.sp
-.LP
-The \fBtee\fR built-in in \fBksh93\fR is associated with the \fB/bin\fR and
-\fB/usr/bin\fR paths. It is invoked when tee is executed without a pathname
-prefix and the pathname search finds a \fB/bin/tee\fR or \fB/usr/bin/tee\fR
-executable.
-.sp
-.LP
-\fBtee\fR copies standard input to standard output and to zero or more files.
-The options determine whether the specified files are overwritten or appended
-to. The tee utility does not buffer output. If a write to a file fails,
-\fBtee\fR continues to write to other files although it exits with a non-zero
+.Dd Feb 9, 2021
+.Dt TEE 1
+.Os
+.Sh NAME
+.Nm tee
+.Nd replicate the standard output
+.Sh SYNOPSIS
+.Nm
+.Op Fl ail
+.Oo Ar file Oc Ns ...
+.Sh DESCRIPTION
+.Nm
+copies standard input to standard output, making a copy in zero or more files.
+.Nm
+does not buffer its output by default
+.Po but see the Fl l No option Pc .
+The options determine if the specified files are overwritten or appended to.
+If a write to a file fails,
+.Nm
+continues to write to other files although it exits with a non-zero
 exit status.
-.sp
-.LP
-The number of \fIfile\fR operands that can be specified is limited by the
-underlying operating system.
-.SH OPTIONS
-.SS "/usr/bin/tee"
-.sp
-.LP
-The following options are supported by \fB/usr/bin/tee\fR:
-.sp
-.ne 2
-.na
-\fB\fB-a\fR\fR
-.ad
-.RS 6n
+.Ss ksh93
+The
+.Nm
+built-in in
+.Xr ksh93 1
+is associated with the
+.Pa /bin
+and
+.Pa /usr/bin
+paths.
+It is invoked when
+.Nm
+is executed without a pathname prefix and the pathname search finds a
+.Pa /bin/tee
+or
+.Pa /usr/bin/tee
+executable.
+.Sh OPTIONS
+The following options are supported:
+.Bl -tag -width Ar
+.It Fl a Ns \&, Fl \-append
 Appends the output to the files rather than overwriting them.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR\fR
-.ad
-.RS 6n
-Ignores interrupts.
-.RE
-
-.SS "ksh93"
-.sp
-.LP
-The following options are supported by the \fBtee\fR built-in command in
-\fBksh93\fR:
-.sp
-.ne 2
-.na
-\fB\fB-a\fR\fR
-.ad
-.br
-.na
-\fB\fB--append\fR\fR
-.ad
-.RS 23n
-Appends the output to the files rather than overwriting them.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR\fR
-.ad
-.br
-.na
-\fB\fB--ignore-interrupts\fR\fR
-.ad
-.RS 23n
-Ignores \fBSIGINT\fR signal.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-l\fR\fR
-.ad
-.br
-.na
-\fB\fB--line-buffer\fR\fR
-.ad
-.RS 23n
+.It Fl i Ns \&, Fl \-ignore-interrupts
+Ignores
+.Sy SIGINT
+signal.
+.It Fl l Ns \&, Fl \-linebuffer
 Sets the standard output to be line buffered.
-.RE
-
-.SH OPERANDS
-.sp
-.LP
+.El
+.Sh OPERANDS
 The following operands are supported:
-.sp
-.ne 2
-.na
-\fB\fIfile\fR\fR
-.ad
-.RS 8n
-A path name of an output file. Processing of at least 13 \fIfile\fR operands
-are supported.
-.RE
-
-.SH USAGE
-.sp
-.LP
-See \fBlargefile\fR(5) for the description of the behavior of \fBtee\fR when
-encountering files greater than or equal to 2 Gbyte ( 2^31 bytes).
-.SH ENVIRONMENT VARIABLES
-.sp
-.LP
-See \fBenviron\fR(5) for descriptions of the following environment variables
-that affect the execution of \fBtee\fR: \fBLANG\fR, \fBLC_ALL\fR,
-\fBLC_CTYPE\fR, \fBLC_MESSAGES\fR, and \fBNLSPATH\fR.
-.SH EXIT STATUS
-.SS "/usr/bin/tee"
-.sp
-.LP
-The following exit values are returned by \fB/usr/bin/tee\fR:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 6n
-The standard input was successfully copied to all output files.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB>0\fR\fR
-.ad
-.RS 6n
-The number of files that could not be opened or whose status could not be
-obtained.
-.RE
-
-.SS "ksh93"
-.sp
-.LP
-The following exit values are returned by \fBtee\fR in \fBksh93\fR:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 6n
-Successful completion.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB>0\fR\fR
-.ad
-.RS 6n
+.Bl -tag -width Ar
+.It Ar file
+A path name of an output file.
+Processing of at least 13
+.Ar file
+operands is supported.
+.El
+.Sh EXIT STATUS
+.Bl -tag -width Ds
+.It Sy 0
+All files copied successfully.
+.It Sy >0
 An error occurred.
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.SS "/usr/bin/tee"
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-CSI	Enabled
-_
-Interface Stability	Committed
-_
-Standard	See \fBstandards\fR(5).
-.TE
-
-.SS "ksh93"
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	See below.
-.TE
-
-.sp
-.LP
-The \fBksh93\fR built-in binding to \fB/bin\fR and \fB/usr/bin\fR is Volatile.
-The built-in interfaces are Uncommitted.
-.SH SEE ALSO
-.sp
-.LP
-\fBcat\fR(1), \fBksh93\fR(1), \fBattributes\fR(5), \fBenviron\fR(5),
-\fBlargefile\fR(5), \fBstandards\fR(5)
+.El
+.Sh ENVIRONMENT VARIABLES
+See
+.Xr environ 5
+for descriptions of the following environment variables
+that affect the execution of
+.Nm :
+.Ev LANG ,
+.Ev LC_ALL ,
+.Ev LC_TYPE ,
+.Ev LC_MESSAGES ,
+.Ev LC_NUMERIC ,
+and
+.Ev NLSPATH .
+.Sh INTERFACE STABILITY
+The command line interface of
+.Nm
+is
+.Sy Committed .
+The output of
+.Nm
+is
+.Sy Committed .
+The
+.Xr ksh93 1
+built-in binding to
+.Pa /bin
+and
+.Pa /usr/bin
+is
+.Sy Volatile .
+.Sh SEE ALSO
+.Xr cat 1 ,
+.Xr ksh93 1 ,
+.Xr attributes 5 ,
+.Xr environ 5 ,
+.Xr largefile 5 ,
+.Xr standards 5